import 'dart:async';

import 'package:flutter/services.dart';

class BarcodeScanner {
  static const CameraAccessDenied = 'PERMISSION_NOT_GRANTED';
  static const UserCanceled = 'USER_CANCELED';
  static const MethodChannel _channel =
      const MethodChannel('com.apptreesoftware.barcode_scan');

  static Future<String> scan({
    List<String> arrayInfo,
  }) async {
    return await _channel.invokeMethod('scan');
  }

  static Future<String> print({
    List<String> arrayInfo,
  }) async {
    return await _channel.invokeMethod('print', {
      "info": arrayInfo,
    });
  }
}
